> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cybedefend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Docker images from Harbor

> Returns available Docker images/repositories from the Harbor self-hosted container registry



## OpenAPI

````yaml get /integrations/harbor/container-registry/project/{projectId}/credentials/{credentialId}/images
openapi: 3.0.0
info:
  title: Cybedefend API
  description: >-
    CybeDefend is an advanced API for application security analysis. Key
    features include OAuth 2.0 authentication, user/organization/project
    management, and REBAC-based permissions. It excels in static, dynamic, and
    IaC security analyses (SAST, DAST, IaC, etc.).
  version: '1.0'
  contact: {}
servers:
  - url: https://api-eu.cybedefend.com
    description: EU
  - url: https://api-us.cybedefend.com
    description: US
security: []
tags: []
paths:
  /integrations/harbor/container-registry/project/{projectId}/credentials/{credentialId}/images:
    get:
      tags:
        - Harbor Container Registry
      summary: List Docker images from Harbor
      description: >-
        Returns available Docker images/repositories from the Harbor self-hosted
        container registry
      operationId: HarborContainerRegistryProjectController_listImages
      parameters:
        - name: projectId
          required: true
          in: path
          description: CybeDefend project ID
          schema:
            format: uuid
            example: 550e8400-e29b-41d4-a716-446655440000
            type: string
        - name: credentialId
          required: true
          in: path
          description: Harbor credential ID
          schema:
            format: uuid
            example: 550e8400-e29b-41d4-a716-446655440000
            type: string
        - name: harborProject
          required: false
          in: query
          description: Harbor project name (defaults to credential project)
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number (1-based)
          schema:
            type: number
        - name: pageSize
          required: false
          in: query
          description: Results per page
          schema:
            type: number
      responses:
        '200':
          description: List of Docker images from Harbor
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListHarborImagesResponseDto'
        '401':
          description: Unauthorized - Authentication required
          content:
            application/json:
              schema:
                example:
                  message: Unauthorized
                  statusCode: 401
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              schema:
                example:
                  message: Forbidden
                  statusCode: 403
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
        '404':
          description: Not Found - Credential not found
          content:
            application/json:
              schema:
                example:
                  message: Resource not found
                  statusCode: 404
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                example:
                  message: Internal server error
                  statusCode: 500
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
components:
  schemas:
    ListHarborImagesResponseDto:
      type: object
      properties:
        images:
          type: array
          items:
            $ref: '#/components/schemas/HarborImageInfoDto'
        totalCount:
          type: number
          description: Total count of images
        page:
          type: number
          description: Current page
        pageSize:
          type: number
          description: Page size
      required:
        - images
        - totalCount
        - page
        - pageSize
    HarborImageInfoDto:
      type: object
      properties:
        name:
          type: string
          description: Full repository name (project/repo)
        projectName:
          type: string
          description: Project name
        repositoryName:
          type: string
          description: Repository name
        description:
          type: string
          description: Repository description
        artifactCount:
          type: number
          description: Number of artifacts
        pullCount:
          type: number
          description: Number of pulls
        createdAt:
          type: string
          description: Creation timestamp
        updatedAt:
          type: string
          description: Last update timestamp
      required:
        - name
        - projectName
        - repositoryName
        - artifactCount
        - pullCount
        - createdAt
        - updatedAt

````